%define oname	cssutils
%define name	python-%{oname}

Name:		%{name}
Version:	0.9.5.1
Release:	%mkrel 3
Summary:	Python module for parsing and building CSS 
Group:		Development/Python
License:	LGPLv3+
URL:		http://code.google.com/p/cssutils/
Source0:	http://cssutils.googlecode.com/files/%{oname}-%{version}.zip
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root 
BuildArch:	noarch 
BuildRequires:	python-devel
BuildRequires:	python-setuptools
%{py_requires}
  
%description 
cssutils is a Python module for building and parsing CSS (Cascading
Style Sheets).
  
%prep
%setup -q -n %{oname}-%{version}

%build 

%install 
rm -rf %{buildroot}
python setup.py install --root=%{buildroot} --compile --optimize=2

%clean 
rm -rf %{buildroot}

%files  
%defattr(-,root,root,-)
%{_bindir}/css*
%{py_puresitedir}/%{oname}
%{py_puresitedir}/encutils
%{py_puresitedir}/tests
%defattr(755,root,root,-)
%{py_puresitedir}/%{oname}-%{version}-py%{pyver}.egg-info



%changelog
* Fri Dec 04 2009 Michael Scherer <misc@mandriva.org> 0.9.5.1-3mdv2010.1
+ Revision: 473354
- do not let world writable file, fix #56186

* Tue Sep 15 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.9.5.1-2mdv2010.0
+ Revision: 442089
- rebuild

* Fri Dec 26 2008 Adam Williamson <awilliamson@mandriva.org> 0.9.5.1-1mdv2009.1
+ Revision: 319513
- rebuild with python 2.6
- new release 0.9.5.1

* Wed Jul 30 2008 Adam Williamson <awilliamson@mandriva.org> 0.9.5-1mdv2009.0
+ Revision: 255575
- import python-cssutils


